package com.pcloud.book.advertising.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/6/27 15:02
 **/
@ApiModel("广告位投放计划id")
public class AdvertisingPlan extends BaseEntity {

    private static final long serialVersionUID = 6433715659057254836L;

    @ApiModelProperty("是否删除")
    private Boolean isDelete;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    private List<AdvertisingPut> advertisingPuts;

    private List<AdvertisingPlanGroup> advertisingPlanGroups;

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    public List<AdvertisingPut> getAdvertisingPuts() {
        return advertisingPuts;
    }

    public void setAdvertisingPuts(List<AdvertisingPut> advertisingPuts) {
        this.advertisingPuts = advertisingPuts;
    }

    public List<AdvertisingPlanGroup> getAdvertisingPlanGroups() {
        return advertisingPlanGroups;
    }

    public void setAdvertisingPlanGroups(List<AdvertisingPlanGroup> advertisingPlanGroups) {
        this.advertisingPlanGroups = advertisingPlanGroups;
    }

    @Override
    public String toString() {
        return "AdvertisingPlan{" +
                "isDelete=" + isDelete +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                ", advertisingPuts=" + advertisingPuts +
                ", advertisingPlanGroups=" + advertisingPlanGroups +
                "} " + super.toString();
    }
}
